Index: branches/libIGCM_MPI_OpenMP/AA_additionnal
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 519)
@@ -25,5 +25,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ADD
@@ -41,5 +41,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ADD
@@ -57,5 +57,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_ADD
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_LMDZ
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_LMDZ
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_LMDZ
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 2:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_OPA
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 2:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_OPA
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 2:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_OPA
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ORCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ORCH
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_ORCH
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_PIS
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_PIS
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_PIS
Index: branches/libIGCM_MPI_OpenMP/AA_create_multi_se
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MULTISE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MULTISE
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = MULTISE
Index: branches/libIGCM_MPI_OpenMP/AA_create_se
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = SE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = SE
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = SE
Index: branches/libIGCM_MPI_OpenMP/AA_monitoring
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MONITORING
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MONITORING
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = MONITORING
Index: branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDARCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDARCH
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = REBUILDARCH
Index: branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 517)
+++ branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 519)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDWRK
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDWRK
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = REBUILDWRK