Index: trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 548)
@@ -299,8 +299,12 @@
 	    eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
 	    eval file_out=${file_out_}
-	    
-	    IGCM_sys_Get ${file_in} ${file_out}
-	    #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
-
+
+	    IGCM_sys_IsFileArchived ${file_in}
+	    if [ ! $? = 0 ] ; then
+	      IGCM_sys_Get ${file_in} ${file_out}
+	      #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+	    else
+	      IGCM_sys_Cp ${file_in} ${file_out}
+	    fi
 	    (( i=i+2 ))
 	  done
@@ -418,7 +422,12 @@
 	[ ${SmoothMax} -eq -1 ] && SmoothMax=${CumulPeriod}
 	if ( [ X${ret} = Xtrue ] || ( [ ${Period} -eq 1 ] && [ ${CumulPeriod} -ge ${SmoothMin} ] && [ ${CumulPeriod} -le ${SmoothMax} ] ) ) ; then
-	  #if ( [ X${ret} = Xtrue ] || [ ${Period} -eq 1 ] ) ; then
-	  IGCM_sys_Get ${file_in} ${file_out}
-	  #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+
+	  IGCM_sys_IsFileArchived ${file_in}
+	  if [ ! $? = 0 ] ; then
+	    IGCM_sys_Get ${file_in} ${file_out}
+	    #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+	  else
+	    IGCM_sys_Cp ${file_in} ${file_out}
+	  fi
 	fi
 	(( i=i+3 ))
@@ -498,5 +507,11 @@
 	  eval file_out=${file_out_}
 
-	  IGCM_sys_Get ${file_in} ${file_out}
+	  IGCM_sys_IsFileArchived ${file_in}
+	  if [ $? = 0 ] ; then
+	    IGCM_sys_Get ${file_in} ${file_out}
+	    #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+	  else
+	    IGCM_sys_Cp ${file_in} ${file_out}
+	  fi
 
 	  if [ X${file_out} != X. ] ; then
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 548)
@@ -439,4 +439,21 @@
 
 #D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
+}
+
+#D-#==================================================
 #D-function IGCM_sys_TestFileArchive
 #D-* Purpose: Test file that must NOT EXISTS on Archive
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 548)
@@ -392,4 +392,21 @@
 
   return ${ExistFlag}
+}
+
+#D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
 }
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 548)
@@ -469,4 +469,21 @@
 
 #D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
+}
+
+#D-#==================================================
 #D-function IGCM_sys_TestFileArchive
 #D-* Purpose: Test file that must NOT EXISTS on Archive
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 548)
@@ -453,4 +453,21 @@
 
   return ${ExistFlag}
+}
+
+#D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
 }
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 547)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 548)
@@ -516,4 +516,21 @@
 
 #D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
+}
+
+#D-#==================================================
 #D-function IGCM_sys_TestFileArchive
 #D-* Purpose: Test file that must NOT EXISTS on Archive