Index: branches/libIGCM_MPI_OpenMP/AA_pack_debug
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 571)
+++ branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 592)
@@ -3,5 +3,5 @@
 #-Q- cesium ## CESIUM   CEA ##
 #-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job
 #-Q- cesium #MSUB -N 1              # Reservation du noeud
 #-Q- cesium #MSUB -n 1              # Reservation du processus
@@ -27,5 +27,5 @@
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = PACKDEBUG
-#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # Fichier de sortie standard du travail
 #-Q- sx8brodie # @ output     = $(job_name).$(jobid)
 #-Q- sx8brodie # Fichier de sortie d'erreur du travail
@@ -81,5 +81,5 @@
 #-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job
 #-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
 #-Q- sx9mercure #MSUB -n 1              # Reservation du processus
@@ -91,5 +91,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- titane #MSUB -r PACKDEBUG    # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -178,15 +178,15 @@
 #RESTART/ATM_****.nc
 #RESTART/OCE_****.nc
-#Attention de bien conserver les dates d'origines 
+#Attention de bien conserver les dates d'origines
 #
 #Dans le cadre de la production nouvelle chaine
 #ils auront directement le bon nom
 #
-#On veut egalement que l'archive soit par periode de temps 
-# cette periode est definie par la taille du pack donc connue 
-# en entree du script (1M, 1Y, 5Y, 10Y etc...) 
-#
-# $1= PATH/config_card d'une simulation avec 
-# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd/PATH_SIMUL
+#On veut egalement que l'archive soit par periode de temps
+# cette periode est definie par la taille du pack donc connue
+# en entree du script (1M, 1Y, 5Y, 10Y etc...)
+#
+# $1= PATH/config_card d'une simulation avec
+# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd
 # $2=PeriodPack en M/m ou Y/y
 
@@ -223,11 +223,8 @@
 fi
 
-#
+#====================================================
 # First of all
 #
-#### 0- lecture de config.card 
-#### on veut les renseignements suivants : 
-#### JobName, PATH_SIMUL, DateBegin et DateEnd
-
+# Read config.card
 IGCM_card_DefineArrayFromSection     ${CARD_DIR}/config.card UserChoices
 typeset option
@@ -250,6 +247,8 @@
 
 #====================================================
-#R_SAVE : Job output storage directory
-#R_BUFR : Job output buffered directory
+# Prepare environment
+#R_SAVE      : Job output storage directory
+#R_BUFR      : Job output buffered directory
+#STORE_DEBUG : Where we store tar files
 
 if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
@@ -264,20 +263,15 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-#### Preparation de l'environnement
-# repertoire dans lequel seront crees les archives
-#STORE_DEBUG=/scratch/cont003/p86denv/Pack_Test/DEBUG
+#STORE_DEBUG=/ccc/store/cont003/dsm/p86denv/.../DEBUG
 STORE_DEBUG=${R_SAVE}/DEBUG
 IGCM_sys_MkdirArchive ${STORE_DEBUG}
 
+#cd ${STORE_DEBUG}
+#rm -f *
+
 # Switch to script variables meaning (try to be compatible with ipsl_pack TGCC moving procedure)
 JobName=${config_UserChoices_JobName}
-PATH_SIMUL=${R_BUFR}
-echo $JobName $PATH_SIMUL $DateBegin $DateEnd
-
-#### 1- renommer les fichiers ######
-#cd ${STORE_DEBUG}
-#rm -rf *
-
-# On les copie sur le scratchdir en changeant le nom et conservant la date
+echo $JobName $DateBegin $DateEnd
+
 # Clear txt file lists
 rm -f ${RUN_DIR}/liste_debug_files.txt
@@ -286,5 +280,5 @@
 
 # Create sorted debug list to work with
-find ${PATH_SIMUL}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
+find ${R_BUFR}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
 
 # Rename debug files we will work with using symlinks
@@ -312,15 +306,14 @@
   IGCM_debug_PrintVariables 3 number_pack
 
-  DaysTemp=$( IGCM_date_DaysInNextPeriod ${date_begin_pack} ${PeriodPack} )
-  date_end_pack=$( IGCM_date_AddDaysToGregorianDate ${date_begin_pack} ${DaysTemp} )
+  DaysTemp=$( IGCM_date_DaysInCurrentPeriod ${date_begin_pack} ${PeriodPack} )
+  date_end_pack=$( IGCM_date_AddDaysToGregorianDate ${date_begin_pack} $(( ${DaysTemp} - 1 )) )
 
   for file in $( gawk '{print $11}' ${RUN_DIR}/new_liste_debug_files.txt ); do
     extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_[0-9]*_//" )
     date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack} 
-    if [ ${date_file} -lt ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then 
+#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
         echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${number_pack}.txt
-	echo $( ls -L ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
-
+        echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
 #    Will not work. Need to find a better ordering.
 #    elif [ ${date_file} -ge ${date_end_pack} ] ; then
@@ -350,2 +343,7 @@
 
 done
+
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date