Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 711)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 712)
@@ -11,4 +11,7 @@
 #
 #**************************************************************
+
+#D- Task type (computing or post-processing)
+TaskType=post-processing
 
 # Check that everything went well during seasonal average production
Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 711)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 712)
@@ -87,4 +87,7 @@
 #-Q- aix6 export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 MODIPSL=::modipsl::
 
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 711)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 712)
@@ -11,4 +11,7 @@
 #
 #**************************************************************
+
+#D- Task type (computing or post-processing)
+TaskType=post-processing
 
 # Check that everything went well during time series production
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 711)
+++ /trunk/libIGCM/AA_additionnal	(revision 712)
@@ -136,4 +136,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing 
+
 #########################################################################
 
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 711)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 712)
@@ -135,4 +135,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ######################################################################
 
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 711)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 712)
@@ -135,4 +135,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 711)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 711)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 712)
@@ -135,4 +135,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_clean_month
===================================================================
--- /trunk/libIGCM/AA_clean_month	(revision 711)
+++ /trunk/libIGCM/AA_clean_month	(revision 712)
@@ -15,4 +15,7 @@
 
 libIGCM=::modipsl::/libIGCM
+
+#D- Task type (computing or post-processing)
+TaskType=post-processing
 
 #D--------------------------------------------------------------------==
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 711)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 711)
+++ /trunk/libIGCM/AA_create_se	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 711)
+++ /trunk/libIGCM/AA_create_ts	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 711)
+++ /trunk/libIGCM/AA_job	(revision 712)
@@ -171,4 +171,7 @@
 libIGCM=${MODIPSL}/libIGCM
 
+#D- Task type (computing or post-processing)
+TaskType=computing 
+
 #D--------------------------------------------------------------------==
 #D-                   -1. User modification place
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 711)
+++ /trunk/libIGCM/AA_monitoring	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 711)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 712)
@@ -11,4 +11,7 @@
 #
 #**************************************************************
+
+#D- Task type (computing or post-processing)
+TaskType=post-processing
 
 # Change SpaceName/ExperimentName/JobName names and path for a simulation during the run.
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 711)
+++ /trunk/libIGCM/AA_pack_debug	(revision 712)
@@ -140,4 +140,7 @@
 date
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 711)
+++ /trunk/libIGCM/AA_pack_output	(revision 712)
@@ -140,4 +140,7 @@
 date
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 711)
+++ /trunk/libIGCM/AA_pack_restart	(revision 712)
@@ -140,4 +140,7 @@
 date
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 711)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 711)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 712)
@@ -144,4 +144,7 @@
 #-Q- ulam export OMP_NUM_THREADS=1
 
+#D- Task type (computing or post-processing)
+TaskType=post-processing
+
 ########################################################################
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 711)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 712)
@@ -90,5 +90,9 @@
 # Set environment tools (ferret, nco, cdo)
 #====================================================
-. /ccc/cont003/home/dsm/p86ipsl/.atlas_env_curie_ksh
+if [ X${TaskType} = Xcomputing ] ; then
+  . /ccc/cont003/home/dsm/p86ipsl/.atlas_env_calcul_curie_ksh
+else
+  . /ccc/cont003/home/dsm/p86ipsl/.atlas_env_post_curie_ksh
+fi
 
 #====================================================
@@ -173,5 +177,5 @@
 #====================================================
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
-if [ ! X${BRIDGE_MSUB_NPROC} = X1 ] ; then
+if [ X${TaskType} = Xcomputing ] ; then
   typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}/RUN_DIR/${BRIDGE_MSUB_JOBID}}
 else