Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 758)
+++ trunk/libIGCM/AA_pack_output	(revision 770)
@@ -1,12 +1,2 @@
-#-Q- cesium #!/bin/ksh
-#-Q- cesium ######################
-#-Q- cesium ## CESIUM   CEA ##
-#-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKOUTPUT    # Nom du job
-#-Q- cesium #MSUB -N 1              # Reservation du noeud
-#-Q- cesium #MSUB -n 1              # Reservation du processus
-#-Q- cesium #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- cesium #MSUB -E "-j o"
-#-Q- cesium #MSUB -E "-S /bin/ksh"
 #-Q- curie ######################
 #-Q- curie ## CURIE   TGCC/CEA ##
@@ -19,73 +9,20 @@
 #-Q- curie #MSUB -Q normal
 #-Q- curie set +x
-#-Q- platine #!/usr/bin/ksh
-#-Q- platine ###################
-#-Q- platine ## PLATINE   CEA ##
-#-Q- platine ###################
-#-Q- platine #BSUB -J PACKOUTPUT            # Nom du job
-#-Q- platine #BSUB -N                        # message a la fin du job
-#-Q- platine #BSUB -n 1                      # reservation des processeurs pour le job
-#-Q- platine #BSUB -W 4:00                   # Limite temps
-#-Q- platine #BSUB -q post                   # Passage en queue post
-#-Q- platine #BSUB -L /bin/ksh
-#-Q- sx8brodie #!/bin/ksh
-#-Q- sx8brodie #######################
-#-Q- sx8brodie ## SX8BRODIE   IDRIS ##
-#-Q- sx8brodie #######################
-#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
-#-Q- sx8brodie # Nom du travail LoadLeveler
-#-Q- sx8brodie # @ job_name   = PACKOUTPUT
-#-Q- sx8brodie # Fichier de sortie standard du travail
-#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
-#-Q- sx8brodie # Fichier de sortie d'erreur du travail
-#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
-#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- sx8brodie # @ notification = error
-#-Q- sx8brodie # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
-#-Q- sx8brodie # @ queue
-#-Q- aix6 #!/bin/ksh
-#-Q- aix6 #######################
-#-Q- aix6 ##   VARGAS   IDRIS  ##
-#-Q- aix6 #######################
-#-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
-#-Q- aix6 # Nom du travail LoadLeveler
-#-Q- aix6 # @ job_name   = PACKOUTPUT
-#-Q- aix6 # Fichier de sortie standard du travail
-#-Q- aix6 # @ output     = $(job_name).$(jobid)
-#-Q- aix6 # Fichier de sortie d'erreur du travail
-#-Q- aix6 # @ error      =  $(job_name).$(jobid)
-#-Q- aix6 # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- aix6 # @ notification = error
-#-Q- aix6 # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
-#-Q- aix6 # @ queue
-#-Q- ulam #!/bin/ksh
-#-Q- ulam #######################
-#-Q- ulam ##   VARGAS   IDRIS  ##
-#-Q- ulam #######################
-#-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
-#-Q- ulam # Nom du travail LoadLeveler
-#-Q- ulam # @ job_name   = PACKOUTPUT
-#-Q- ulam # Fichier de sortie standard du travail
-#-Q- ulam # @ output     = $(job_name).$(jobid)
-#-Q- ulam # Fichier de sortie d'erreur du travail
-#-Q- ulam # @ error      =  $(job_name).$(jobid)
-#-Q- ulam # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- ulam # @ notification = error
-#-Q- ulam # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
-#-Q- ulam # @ queue
-#-Q- sx8mercure #!/bin/ksh
-#-Q- sx8mercure ######################
-#-Q- sx8mercure ## SX8MERCURE   CEA ##
-#-Q- sx8mercure ######################
-#-Q- sx8mercure #PBS -N PACKOUTPUT          # Nom du job
-#-Q- sx8mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx8mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx8mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx8mercure #PBS -l cputim_job=48:00:00  # Limite temps a 1 heures
-#-Q- sx8mercure #PBS -q scalaire
-#-Q- sx8mercure #PBS -r n
+#-Q- ada #!/bin/ksh
+#-Q- ada #######################
+#-Q- ada ##   VARGAS   IDRIS  ##
+#-Q- ada #######################
+#-Q- ada # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- ada # @ wall_clock_limit = 10:00:00
+#-Q- ada # Nom du travail LoadLeveler
+#-Q- ada # @ job_name   = PACKOUTPUT
+#-Q- ada # Fichier de sortie standard du travail
+#-Q- ada # @ output     = $(job_name).$(jobid)
+#-Q- ada # Fichier de sortie d'erreur du travail
+#-Q- ada # @ error      =  $(job_name).$(jobid)
+#-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- ada # @ notification = error
+#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ queue
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################